<?php
  /**************************************************************************\
  * phpGroupWare - Admin                                                     *
  * (http://www.phpgroupware.org)                                            *
  * Written by Bettina Gille [ceb@phpgroupware.org]                          *    
  * -----------------------------------------------                          *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
  /* $Id: deletedirectory.php,v 1.4.4.1 2006/10/24 06:53:05 skwashd Exp $ */

	$confirm = $_POST['confirm'];
	if ($confirm)
	{
		$GLOBALS['phpgw_info']['flags'] = array(
			'noheader' => True, 
			'nonavbar' => True
		);
	}

	$GLOBALS['phpgw_info']['flags']['currentapp'] = 'dj';
	include_once('../header.inc.php');

	$dir_id = $_POST['dir_id'] ? $_POST['dir_id'] : $_GET['dir_id'];

	if(!$GLOBALS['phpgw']->acl->check('run',1,'admin'))
	{
		echo lang('access not permitted');
		$GLOBALS['phpgw']->common->phpgw_footer();
		$GLOBALS['phpgw']->common->phpgw_exit();

	}

	if (!$dir_id)
	{
		Header('Location: ' . $GLOBALS['phpgw']->link('/dj/directories.php'));
	}

	if ($confirm)
	{
		$GLOBALS['phpgw']->db->query("DELETE FROM phpgw_dj_directories WHERE dir_id=" . $dir_id);
		Header('Location: ' . $GLOBALS['phpgw']->link('/dj/directories.php',"start=$start&query=$query&sort=$sort&order=$order&filter=$filter"));
	}
	else
	{
		$hidden_vars = "<input type=\"hidden\" name=\"sort\" value=\"$sort\">\n"
			. "<input type=\"hidden\" name=\"order\" value=\"$order\">\n"
			. "<input type=\"hidden\" name=\"query\" value=\"$query\">\n"
			. "<input type=\"hidden\" name=\"start\" value=\"$start\">\n"
			. "<input type=\"hidden\" name=\"filter\" value=\"$filter\">\n"
			. "<input type=\"hidden\" name=\"dir_id\" value=\"$dir_id\">\n";

		$GLOBALS['phpgw']->template->set_file(array('directory_delete' => 'delete_common.tpl'));
		$GLOBALS['phpgw']->template->set_var('messages',lang('Are you sure you want to delete this directory?'));

		$nolinkf = $GLOBALS['phpgw']->link('/dj/directories.php',"dir_id=$dir_id&start=$start&query=$query&sort=$sort&order=$order&filter=$filter");
		$nolink = "<a href=\"$nolinkf\">" . lang('No') ."</a>";
		$GLOBALS['phpgw']->template->set_var('no',$nolink);

		$yeslinkf = $GLOBALS['phpgw']->link('/dj/deletedirectory.php',"dir_id=$dir_id&confirm=True");
		$yeslinkf = "<FORM method=\"POST\" name=yesbutton action=\"".$GLOBALS['phpgw']->link('/dj/deletedirectory.php') . "\">"
			. $hidden_vars
			. "<input type=hidden name=dir_id value=$dir_id>"
			. "<input type=hidden name=confirm value=True>"
			. "<input type=submit name=yesbutton value=Yes>"
			. "</FORM><SCRIPT>document.yesbutton.yesbutton.focus()</SCRIPT>";

		$yeslink = "<a href=\"$yeslinkf\">" . lang('Yes') ."</a>";
		$yeslink = $yeslinkf;
		$GLOBALS['phpgw']->template->set_var('yes',$yeslink);

		$GLOBALS['phpgw']->template->pparse('out','directory_delete');
	}

	$GLOBALS['phpgw']->common->phpgw_footer();
?>
